/*
 * JBossWS WS-Tools Generated Source
 *
 * Generation Date: Fri Apr 27 12:51:17 BST 2007
 *
 * This generated source code represents a derivative work of the input to
 * the generator that produced it. Consult the input for the copyright and
 * terms of use that apply to this source code.
 */

package org.jboss.bpel.samples.ordermanagement;

import java.io.Serializable;


public class  OrderHeader implements Serializable {

protected java.lang.String customerNumber;

protected java.lang.String poNumber;

protected java.util.Calendar orderDate;

protected java.math.BigDecimal orderTotal;

protected org.jboss.bpel.samples.ordermanagement.Party billTo;

protected org.jboss.bpel.samples.ordermanagement.Party shipTo;

protected java.lang.String billTerms;

protected java.lang.String shipTerms;
public OrderHeader(){}

public OrderHeader(java.lang.String customerNumber, java.lang.String poNumber, java.util.Calendar orderDate, java.math.BigDecimal orderTotal, org.jboss.bpel.samples.ordermanagement.Party billTo, org.jboss.bpel.samples.ordermanagement.Party shipTo, java.lang.String billTerms, java.lang.String shipTerms){
this.customerNumber=customerNumber;
this.poNumber=poNumber;
this.orderDate=orderDate;
this.orderTotal=orderTotal;
this.billTo=billTo;
this.shipTo=shipTo;
this.billTerms=billTerms;
this.shipTerms=shipTerms;
}
public java.lang.String getCustomerNumber() { return customerNumber ;}

public void setCustomerNumber(java.lang.String customerNumber){ this.customerNumber=customerNumber; }

public java.lang.String getPoNumber() { return poNumber ;}

public void setPoNumber(java.lang.String poNumber){ this.poNumber=poNumber; }

public java.util.Calendar getOrderDate() { return orderDate ;}

public void setOrderDate(java.util.Calendar orderDate){ this.orderDate=orderDate; }

public java.math.BigDecimal getOrderTotal() { return orderTotal ;}

public void setOrderTotal(java.math.BigDecimal orderTotal){ this.orderTotal=orderTotal; }

public org.jboss.bpel.samples.ordermanagement.Party getBillTo() { return billTo ;}

public void setBillTo(org.jboss.bpel.samples.ordermanagement.Party billTo){ this.billTo=billTo; }

public org.jboss.bpel.samples.ordermanagement.Party getShipTo() { return shipTo ;}

public void setShipTo(org.jboss.bpel.samples.ordermanagement.Party shipTo){ this.shipTo=shipTo; }

public java.lang.String getBillTerms() { return billTerms ;}

public void setBillTerms(java.lang.String billTerms){ this.billTerms=billTerms; }

public java.lang.String getShipTerms() { return shipTerms ;}

public void setShipTerms(java.lang.String shipTerms){ this.shipTerms=shipTerms; }

}
